apiVersion: apps/v1
kind: DaemonSet
metadata:
  labels:
    app: dep1
  name: dep1
spec:
  selector:
    matchLabels:
      app: dep1
  template:
    metadata:
      labels:
        app: dep1
    spec:
      containers:
      - image: nginx
        name: nginx
